aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2020-02-10 17:08:55 +0300
committerromkatv <roman.perepelitsa@gmail.com>2020-02-10 17:08:55 +0300
commit924dfe6889abe04481a372728edddbfc6a953706 (patch)
tree803ee96f1f20a9e4b71a28199a650c06ba523ef7
parent9fcc380cac70cd624d7438051052476561ff0e49 (diff)
comments
-rw-r--r--internal/p10k.zsh6
1 files changed, 3 insertions, 3 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index cfd5fcf4..bd6fe4c7 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -4167,17 +4167,17 @@ function _p9k_fetch_nordvpn_status() {
tag=$((#tag))
(( (tag >>= 3) && tag <= $#__p9k_nordvpn_tag )) || break
tag=$__p9k_nordvpn_tag[tag]
- [[ -t $fd ]] || true
+ [[ -t $fd ]] || true # https://www.zsh.org/mla/workers/2020/msg00207.html
sysread -c n -s 1 -t 0.25 len
len=$((#len))
val=
(( ! len )) || {
- [[ -t $fd ]] || true
+ [[ -t $fd ]] || true # https://www.zsh.org/mla/workers/2020/msg00207.html
sysread -c n -s $len -t 0.25 val
(( n == len ))
}
typeset -g $tag=$val
- [[ -t $fd ]] || true
+ [[ -t $fd ]] || true # https://www.zsh.org/mla/workers/2020/msg00207.html
sysread -c n -s 1 -t 0.25 tag
done
} <&$fd